#ifndef __EXTRACTdotH__
#define __EXTRACTdotH__

/********************************************************************/

// --extract-files: Find all files that exist in the archive in the
// --from path that are given on the command line, and write them
// to the real filesystem at --to.
void cmdExtractFiles (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

// --extract-dir: Extract all files in the archive at --from
// to the real filesystem at --to. Only the files exactly in the --from
// path will be extracted.
//
// --extract-dir-recurse: Extract all files and directories in the NFI archive
// at --from to the real filesystem at --to. Any directories relative to
// --from will also be relative to --to when the files are extracted (so 
// that the directory structure inside the NFI archive is maintained).
//
// --extract-regex: Compare the filenames of all files that exist in the
// path --from, and extract any that match to the real filesystem at --to.
//
// --extract-regex-recurse: Compare all files that exist in the nfi archive --from
// path and below to the given regex (filenames only). If any match, extract
// them to the real filesystem at --to. Directory structure of extracted
// files is maintained so that any paths relative to --from will be relative
// to the --to path as well.
void cmdExtract (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

/********************************************************************/

#endif

