#ifndef __MOVEdotH__
#define __MOVEdotH__

/********************************************************************/

// --move: Take a regex and match all filenames in --from to the regex.
// All matched files are moved to the --to path.
//
// --move-dir: Find all files whose path is exactly --from
// and move them so that they are in the --to. Unlike --move-dir, this
// only moves files that are directly in the --from path provided.
//
// --move-dir-recurse: Find all files in the NFI whose path contains --from
// and move them so that they exist in --to. 
//
// --move-recurse: Take a regex and match all filenames in --from and
// it's subdirectories to the regex. All matched files are moved to the --to path.
void cmdMove (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

// --move-files: Using the filename list specified on the command line,
// move all files who exist in the --from NFI path to the --to NFI path.
void cmdMoveFiles (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

/********************************************************************/

#endif

